Skip to main content
GET
/
companies
/
{id}
/
related-persons
/
{personId}
/
applications
List related person applications
curl --request GET \
  --url https://api.rnbi.magent.finance/companies/{id}/related-persons/{personId}/applications \
  --header 'Authorization: Bearer <token>' \
  --header 'Reap-Version: <reap-version>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "relatedPersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "INITIATED",
      "sessionUrl": "<string>",
      "expiresAt": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key as Bearer token

Headers

Reap-Version
enum<string>
required

API version (YYYY-MM-DD)

Available options:
2025-02-14

Path Parameters

id
string<uuid>
required

Company identifier

personId
string<uuid>
required

Related person identifier

Response

List of related person applications

items
object[]
required

Related person applications